Subject: Re: [PATCH] gitweb: move highlight config out of guess_file_syntax()

From: "Alejandro R. Sedeño" <[email-masked]>
Date: Sun, 25 Jul 2010 19:53:04 -0400

On 7/25/2010 7:35 PM, Jakub Narebski wrote:
> BTW. is this something _you_ needed (and what did you need to configure
> / to put in $GITWEB_CONFIG file), or just a generalization?

This is something I was using in previous versions of gitweb, though
with the older (pre-592ea41) syntax. (I had applied the older
highlighting patches, and was quite happy to see them merged.)

Before, $GITWEB_CONFIG contained lines like:

  $highlight_type{'\.lisp$'} = 'lisp';

As of 1.7.2, with syntax highlighting merged and refactored (592ea41),
access to the hashes that define syntax highlighting mappings was lost.
Moving the hashes out into the config area lets $GITWEB_CONFIG contain
lines like:

  $highlight_ext{'lisp'} = 'lisp';
  $highlight_basename{'GNUmakefile'} = 'mak'